Bug 1789214 (CVE-2019-17026) - CVE-2019-17026 Mozilla: IonMonkey type confusion with StoreElementHole and FallibleStoreElement
Summary: CVE-2019-17026 Mozilla: IonMonkey type confusion with StoreElementHole and Fa...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-17026
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1788980 (view as bug list)
Depends On: 1788028 1788029 1788030 1788031 1788032 1788033 1790248 1790249 1790250 1790251 1790252 1790253
Blocks: 1787590
TreeView+ depends on / blocked
 
Reported: 2020-01-09 04:44 UTC by Doran Moppert
Modified: 2020-03-03 19:59 UTC (History)
12 users (show)

Fixed In Version: firefox 72.0.1, firefox 68.4.1, thunderbird 68.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-13 20:09:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0085 None None None 2020-01-13 14:38:53 UTC
Red Hat Product Errata RHSA-2020:0086 None None None 2020-01-13 14:19:47 UTC
Red Hat Product Errata RHSA-2020:0111 None None None 2020-01-14 18:39:04 UTC
Red Hat Product Errata RHSA-2020:0120 None None None 2020-01-16 11:58:01 UTC
Red Hat Product Errata RHSA-2020:0123 None None None 2020-01-16 11:50:17 UTC
Red Hat Product Errata RHSA-2020:0127 None None None 2020-01-16 12:53:01 UTC
Red Hat Product Errata RHSA-2020:0292 None None None 2020-01-30 09:02:31 UTC
Red Hat Product Errata RHSA-2020:0295 None None None 2020-01-30 10:02:41 UTC

Description Doran Moppert 2020-01-09 04:44:38 UTC
Incorrect alias information in IonMonkey JIT compiler for setting array elements could lead to a type confusion. We are aware of targeted attacks in the wild abusing this flaw.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2020-03/#CVE-2019-17026

Comment 1 Doran Moppert 2020-01-09 04:44:40 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Qihoo 360 ATA

Comment 2 Huzaifa S. Sidhpurwala 2020-01-09 07:05:22 UTC
*** Bug 1788980 has been marked as a duplicate of this bug. ***

Comment 3 errata-xmlrpc 2020-01-13 14:19:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0086 https://access.redhat.com/errata/RHSA-2020:0086

Comment 4 errata-xmlrpc 2020-01-13 14:38:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0085 https://access.redhat.com/errata/RHSA-2020:0085

Comment 5 Product Security DevOps Team 2020-01-13 20:09:40 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-17026

Comment 10 errata-xmlrpc 2020-01-14 18:39:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0111 https://access.redhat.com/errata/RHSA-2020:0111

Comment 11 errata-xmlrpc 2020-01-16 11:50:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0123 https://access.redhat.com/errata/RHSA-2020:0123

Comment 12 errata-xmlrpc 2020-01-16 11:57:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0120 https://access.redhat.com/errata/RHSA-2020:0120

Comment 13 errata-xmlrpc 2020-01-16 12:53:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0127 https://access.redhat.com/errata/RHSA-2020:0127

Comment 14 errata-xmlrpc 2020-01-30 09:02:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0292 https://access.redhat.com/errata/RHSA-2020:0292

Comment 15 errata-xmlrpc 2020-01-30 10:02:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0295 https://access.redhat.com/errata/RHSA-2020:0295


Note You need to log in before you can comment on or make changes to this bug.